Name:          iputils
Epoch:         2
Version:       20210202
Release:       2mamba
Summary:       Network monitoring tools including ping
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/iputils/iputils
Source:        https://github.com/iputils/iputils.git/%{version}/iputils-%{version}.tar.bz2
#Source:        http://www.skbuff.net/iputils/iputils-%{version}.tar.bz2
Patch0:        %{name}-notftpd.patch
Patch1:        %{name}-s20071127-rdisc_open_max.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcap-devel
BuildRequires: libidn2-devel
## AUTOBUILDREQ-END
BuildRequires: OpenSP
BuildRequires: libsysfs-devel
BuildRequires: perl-SGMLSpm

%description
The iputils package contains ping, a basic networking tool.
The ping command sends a series of ICMP protocol ECHO_REQUEST packets to a specified network host and can tell you if that machine is alive and receiving network traffic.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/arping
%{_bindir}/clockdiff
%attr(4755,root,root) %{_bindir}/ping
%{_bindir}/tracepath
%{_sbindir}/ninfod
%{_sbindir}/rdisc
%{_unitdir}/ninfod.service
%{_unitdir}/rdisc.service
%{_mandir}/man8/*

%changelog
* Tue Apr 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210202-2mamba
- remove ping6 and tracepath6 wrong symlinks

* Tue Apr 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210202-1mamba
- update to 20210202

* Mon Jan 04 2016 Automatic Build System <autodist@mambasoft.it> s20151218-1mamba
- automatic update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> s20121221-1mamba
- automatic version update by autodist

* Sun Nov 18 2012 Automatic Build System <autodist@mambasoft.it> s20121114-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> s20121106-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> s20121011-1mamba
- automatic version update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> s20101006-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> s20100418-3mamba
- restore ping and ping6 to replace commands from inetutils due to missing required options in GNU implementation

* Mon Jul 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> s20100418-2mamba
- don't install ping and ping6 provided by inetutils

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> s20100418-1mamba
- automatic update by autodist

* Thu Apr 30 2009 Davide Madrisan <davide.madrisan@gmail.com> s20071127-2mamba
- do not package the traceroute6 tool
- ping6, tracepath, tracepath6 moved to /bin
- fixed a building error
- force "Position Independent Executables" (-pie) building to increase security
- remove unneeded build requirements

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> s20071127-1mamba
- update to s20071127

* Fri Oct 07 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> ss020927-5qilnx
- spec file cleaned

* Thu Jul 10 2003 Silvan Calarco <silvan.calarco@qinet.it> ss020927-4qilnx
- ping is now suid root so normal users can ping

* Fri May 09 2003 Silvan Calarco <silvan.calarco@qinet.it> ss020927-3qilnx
- removed tftp server

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it>
- removed prefix variable definition
- added make parameter KERNEL_INCLUDE

* Tue Apr 08 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it>
- creation of iputils package
